Metadata-Version: 2.4
Name: anu-ctlab-io-cli
Version: 0.1.0
Summary: CLI for converting between ANU CTLab array storage formats
Project-URL: Repository, https://github.com/MaterialsPhysicsANU/anu_ctlab_io
Project-URL: Issues, https://github.com/MaterialsPhysicsANU/anu_ctlab_io/issues
Author-email: Owen Dowley <owen.dowley@anu.edu.au>, Bogdan Maviichuk <bogdan.maviichuk@anu.edu.au>, Lachlan Deakin <lachlan.deakin@anu.edu.au>
Maintainer-email: Owen Dowley <owen.dowley@anu.edu.au>
License-Expression: MIT
License-File: LICENSE.md
Requires-Python: >=3.12
Requires-Dist: anu-ctlab-io[all]~=1.2.2
Requires-Dist: typer>=0.24.1
Provides-Extra: mpi
Requires-Dist: dask-mpi>=2026.3.0; extra == 'mpi'
Requires-Dist: dask[distributed]>=2025.2.0; extra == 'mpi'
Description-Content-Type: text/markdown

# anu-ctlab-io-cli

Command-line tool for converting between [ANU CTLab](https://anu-ctlab-io.readthedocs.io) array storage formats (NetCDF, Zarr, Raw).

> [!NOTE]
> Future versions will expose more control over output formats, e.g. chunking and compression options for Zarr.

## Installation

```bash
pip install anu-ctlab-io-cli
```

## Usage

```bash
anu-ctlab-io-cli <input> <output> [--input-format FORMAT] [--output-format FORMAT]
```

The format is auto-detected from the file extension by default.

### Examples

```bash
# NetCDF to Zarr
anu-ctlab-io-cli tomoHiRes_nc tomoHiRes.zarr

# NetCDF to Raw binary
anu-ctlab-io-cli tomoHiRes_nc tomoHiRes.raw
```

### Options

| Option            | Values                          | Default |
| ----------------- | ------------------------------- | ------- |
| `--input-format`  | `auto`, `NetCDF`, `zarr`        | `auto`  |
| `--output-format` | `auto`, `NetCDF`, `zarr`, `raw` | `auto`  |

## License

MIT — see [LICENSE.md](LICENSE.md).
